New Search

Use-after-free vulnerability in the nsINode::ReplaceOrInsertBefore function in Mozilla Firefox 4.x through 12.0 Firefox ESR 10.x before 10.0.5 Thunderbird 5.0 through 12.0 Thunderbird ESR 10.x before 10.0.5 and SeaMonkey before 2.10 might allow remote attackers to execute arbitrary code via document changes involving replacement or insertion of a node.

oval:org.mitre.oval:def:17010

Use-after-free vulnerability in the nsINode::ReplaceOrInsertBefore function in Mozilla Firefox 4.x through 12.0 Firefox ESR 10.x before 10.0.5 Thunderbird 5.0 through 12.0 Thunderbird ESR 10.x before 10.0.5 and SeaMonkey before 2.10 might allow remote attackers to execute arbitrary code via document changes involving replacement or insertion of a node.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 8
  • Microsoft Windows 7
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2012
  • Microsoft Windows Vista
  • Microsoft Windows Server 2008
  • Microsoft Windows 2000
  • Microsoft Windows XP
Class:
vulnerability
Reference(s):
  • CVE-2012-1946
Product(s):
  • Mozilla SeaMonkey
  • Mozilla Firefox ESR
  • Mozilla Thunderbird
  • Mozilla Firefox
  • Mozilla Thunderbird ESR